## tktray 1.3.9

=== debian/changelog ===
tktray (1.3.9-7) unstable; urgency=medium

  * Fix FTBFS when building with GCC 15 (closes: #1114409).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Sep 2025 22:26:09 +0300

tktray (1.3.9-6) unstable; urgency=medium

  * Fix alternative dependencies on tk and tk9.0 (closes: #1104975).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 May 2025 12:58:24 +0300

tktray (1.3.9-5) unstable; urgency=medium

  * Add a patch with newer tclconfig.
  * Add a patch which ports tktray to Tcl 9.
  * Build two libraries, both for Tcl/Tk 8.6 and for Tcl/Tk 9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 22 Mar 2025 15:47:13 +0300

tktray (1.3.9-4) unstable; urgency=medium

  * Drop doc-base support.
  * Change the upstream homepage.
  * Fix the upstream tarball download link.
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 23:15:48 +0300

tktray (1.3.9-3) unstable; urgency=medium

  * Added a patch from the upstream bugtracker which fixes icon creating for
    some systray implementations (namely awesome, docker, bmpanel2, Gnome
    shell).
  * Multiarchified the package. This means in particular, no more -L/usr/lib
    when linking the library (closes: #722853).
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 03 Feb 2016 17:09:52 +0300

tktray (1.3.9-2) unstable; urgency=low

  * Fixed build of shared library on kfreebsd-* and hurd-* architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 May 2012 23:35:14 +0400

tktray (1.3.9-1) unstable; urgency=low

  * Initial upload to Debian (closes: #674247).
  * New upstrem release.
  * Renamed the binary package to tk-tktray to comply the Debian Tcl/Tk policy.
  * Switched to 3.0 (quilt) source package format.
  * Added hardening build flags using dpkg-buildflags.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 May 2012 09:41:32 +0400

tktray (1.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 May 2010 22:12:57 +0400

tktray (1.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 13 May 2010 08:47:16 +0400

tktray (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up debian/rules.
  * Added README.source with an explanation on how to apply series of
    quilt patches (currently empty).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 May 2010 21:32:56 +0400

tktray (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Changed homepage header in debian/control and debian/coplyright.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 May 2010 01:59:54 +0400

tktray (1.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which fixed segfault in tktray because it is included into
    upstream distribution.
  * Bumped debhelper compatibility version to 6.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Aug 2009 20:57:17 +0400

tktray (1.1-6) unstable; urgency=low

  * Changed maintainers email address.
  * Moved library to a subdirectory of /usr/lib/tcltk to comply Debian
    Tcl/Tk policy.
  * Changed dependencies from tk8.4 to tk and added missing build dependencies
    on X libraries.
  * Protected quilt calls in debian/rules to make it possible to convert
    the package to 3.0 (quilt) format.
  * Removed empty directories from the binary package.
  * Fixed several lintian warnings conserning package description.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Nov 2008 01:35:14 +0300

tktray (1.1-5) unstable; urgency=low

  * Registered HTML documentation in doc-base.

 -- Sergei Golovan <sgolovan@nes.ru>  Thu, 10 May 2007 11:44:48 +0400

tktray (1.1-4) unstable; urgency=low

  * Added homepage to debian/control file.
  * Fixed section in manual page.
  * Use quilt for patch management.
  * Bumped standards version to 3.7.2.

 -- Sergei Golovan <sgolovan@nes.ru>  Wed, 09 May 2007 21:29:03 +0400

tktray (1.1-3) unstable; urgency=low

  * Patched tktray.c (fixed two bugs: segfault on creating the same icon
    twice, and segfault on changing icon image by new [image create]
    command.

 -- Sergei Golovan <sgolovan@nes.ru>  Fri, 26 May 2006 13:24:26 +0400

tktray (1.1-2) unstable; urgency=low

  * Strictened version checks when loading package.

 -- Sergei Golovan <sgolovan@nes.ru>  Thu, 25 May 2006 09:30:01 +0400

tktray (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Sergei Golovan <sgolovan@nes.ru>  Thu, 25 May 2006 08:41:29 +0400
