=== debian/control ===
Source: tktray
Section: libs
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tk-dev, tk8.6-dev, tk9.0-dev,
 libx11-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 4.7.2
Homepage: https://sw4me.com/wiki/Tktray

Package: tk-tktray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk8.6 | tk9.0
Provides: tktray, tk8.6-tktray (= ${binary:Version}), tk9.0-tktray (= ${binary:Version})
Replaces: tktray
Conflicts: tktray
Multi-Arch: same
Description: Freedesktop system tray icon support for Tcl/Tk on X11
 Tktray is an extension that is able to create system tray icons.
 It follows http://www.freedesktop.org specifications. This
 protocol is supported by modern versions of KDE and GNOME panels,
 and by some other panel-like application.
