=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TCLVERSIONS = 8.6 9.0

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

LDFLAGS_DEFAULT = `dpkg-buildflags --get LDFLAGS`
export LDFLAGS_DEFAULT
LDFLAGS_OPTIMIZE = `dpkg-buildflags --get LDFLAGS`
export LDFLAGS_OPTIMIZE

%:
	dh $@

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure -B$(CURDIR)/debian/$$v -- \
			--with-tcl=/usr/lib/tcl$$v \
			--with-tk=/usr/lib/tk$$v ; \
	done

override_dh_auto_install:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_install -B$(CURDIR)/debian/$$v \
			--destdir=$(CURDIR)/debian/tmp ; \
	done
	# Cleanup manpage
	cd debian/tmp/usr/share/man/mann && \
	  for f in *.n ; do \
	    sed -i -e'/\.so man.macros/ d' \
	    	-e's/^\.TH \([^ ]\+\) n/.TH \1 3tk/' \
	    	-e's/^\.BS//' \
	    	-e's/^\.BE//' \
		$$f; \
	  done

override_dh_auto_test:
	# Tests require X, so disable them

get-orig-source:
	wget -O tktray_1.3.9.orig.tar.gz \
		https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/tktray/tktray1.3.9.tar.gz

.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_auto_test get-orig-source
